curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/removal_attributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"attribution_factor": 0.5,
"attribution_factor_datapoint_id": "dtp_1DVKHKS101S0Q61Q"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/removal_attributions"
payload = {
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"attribution_factor": 0.5,
"attribution_factor_datapoint_id": "dtp_1DVKHKS101S0Q61Q"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
removal_id: 'rmv_1EEM6NJXX1S0EXKD',
attribution_factor: 0.5,
attribution_factor_datapoint_id: 'dtp_1DVKHKS101S0Q61Q'
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/removal_attributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"co2e_net_removed_kg": 123,
"co2e_net_removed_standard_deviation_kg": 123,
"co2e_net_removed_without_discount_kg": 123,
"completed_on": "2023-12-25",
"credit_allocation": {
"buffer_pool_contribution_kg": 123,
"supplier_allocation_kg": 123
},
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
"id": "rmv_1EEM6NJXX1S0EXKD",
"risk_of_reversal_percentage": 123,
"started_on": "2023-12-25",
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Project Component Removal Attribution
Manually attributes or removes attribution of a project component to a removal.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"cmp_1EP2SB7MZ1S036PY"
"cmp_1EHK4R6QJSBXFC5N"
Body
ID of Removal to attribute the project component to.
20 - 37"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
A scalar between 0 and 1 for the fraction of the CO2e flux of the project component that is to be attributed to this removal.
0 < x <= 1Deprecated, please use attribution_factor instead.
A scalar between 0 and 1 for the fraction of the CO2e flux of the project component that is to be attributed to this removal.
20 - 37"dtp_1DVKHKS101S0Q61Q"
Response
Successful Response
The CO₂e removed by this removal once uncertainty discounting has been applied
The standard deviation of the CO₂e net removed and therefore the uncertainty discount applied to the removal
The CO₂e removed by this removal before any uncertainty discounting has been applied
The split of issuable credits between the supplier and buffer pool. Null when risk_of_reversal_percentage is not set.
Show child attributes
Show child attributes
The feedstock type ID that this removal is associated with.
20 - 37"ftt_1D7KZ1P761S0G7BN"
The GHG statement ID that this removal is associated with. If null, the removal is in draft and has not been submitted for verification.
20 - 37"ggs_1GDQJ99Z51S0DYW9"
20 - 37"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
The percentage of credits contributed to the buffer pool due to risk of reversal.
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Was this page helpful?